Bug 238425 - Nautilus crashes when trying to connect to ftp://mirrors.kernel.org
Nautilus crashes when trying to connect to ftp://mirrors.kernel.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2007-04-30 09:07 EDT by Jim Hayward
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 15:49:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nautilus backtrace (9.84 KB, text/plain)
2007-04-30 09:07 EDT, Jim Hayward
no flags Details

  None (edit)
Description Jim Hayward 2007-04-30 09:07:14 EDT
Description of problem:
Nautulis crashes when trying to connect to ftp://mirrors.kernel.org

Version-Release number of selected component (if applicable):
2.18.1-2.fc7

How reproducible:


Steps to Reproduce:
1. CTRL+L to bring up the address bar
2. type ftp://mirrors.kernel.org
3. select connect anonymously click "connect"
  
Actual results:
nautilus crashes

Expected results:
connect to the ftp site

Additional info:
I tried a couple other ftp sites and I can connect to them fine.
Comment 1 Jim Hayward 2007-04-30 09:07:14 EDT
Created attachment 153790 [details]
nautilus backtrace
Comment 2 Matthias Clasen 2007-05-03 14:12:45 EDT
Breaking in nautilus_file_get_symbolic_link_target_uri, I first see things like
$32 = {name = 0x9d59848 "CPAN", valid_fields = 49125, 
  type = GNOME_VFS_FILE_TYPE_DIRECTORY, permissions = 509, 
  flags = GNOME_VFS_FILE_FLAGS_SYMLINK, device = 0, inode = 0, 
  link_count = 12, uid = 537, gid = 537, size = 4096, block_count = 8, 
  io_block_size = 32768, atime = 1178174040, mtime = 1178174040, 
  ctime = 1178174040, symlink_name = 0x98b0030 "/cpan", 
  mime_type = 0x98b2b80 "x-directory/normal", refcount = 1, acl = 0x0, 
  selinux_context = 0x0, reserved1 = 0x0, reserved2 = 0x0, reserved3 = 0x0}

but then, when I get to /, it becomes

$34 = {name = 0x9d74240 "pub", valid_fields = 12289, 
  type = GNOME_VFS_FILE_TYPE_DIRECTORY, permissions = 0, 
  flags = GNOME_VFS_FILE_FLAGS_SYMLINK, device = 0, inode = 0, link_count = 0, 
  uid = 0, gid = 0, size = 0, block_count = 0, io_block_size = 0, atime = 0, 
  mtime = 0, ctime = 0, symlink_name = 0x9d741a0 "/", 
  mime_type = 0x9dd5b78 "x-directory/normal", refcount = 1, acl = 0x0, 
  selinux_context = 0x0, reserved1 = 0x0, reserved2 = 0x0, reserved3 = 0x0}

Notice the valid_fields here, so it doesn't think the flags field is set,
and thus nautilus_file_is_symlink() returns FALSE, and things go bad from there.
Comment 3 Matthias Clasen 2007-05-04 09:48:39 EDT
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=435823
Comment 4 Matthias Clasen 2007-05-07 23:44:35 EDT
I have put a patch in the upstream bug that fixes the crash.
Comment 5 Alexander Larsson 2007-05-08 05:36:30 EDT
Built in dist-f7, waiting for f7-final approval
Comment 6 Matthias Clasen 2007-05-08 15:49:05 EDT
2.18.1-4.fc7 has been tagged for f7-final

Note You need to log in before you can comment on or make changes to this bug.